{% extends "Docentes/Intranet/index_intranet_curso.html" %}
{% load i18n admin_static admin_list tags_mensajes %}

{% block extrastyle1 %}
    <style type="text/css">
    .reduce-col-number { width: 10px; }
    .reduce-col-photo { width: 65px; }
    </style>
    <script>
    </script>
{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="well well2">
        <h3>{% trans 'Mensajes enviados' %}</h3>
        
        <form id='buscar_mensaje' action="" method="get" class="form-horizontal well">{% csrf_token %}
            <div class="control-group alert">
                <strong>Intrucciones:</strong><br/>
                Busque mensajes enviados por <u><i class="icon-book"></i> Asunto</u> ó <u><i class="icon-book"></i> Contenido</u>.
            </div>
            <div class="control-group">
                <label class="control-label" for="id_Buscar"><i class="icon-search"></i> <strong>Buscar:</strong></label>
                <div class="controls">
                    <input type="text" maxlength="100" name="query" id="id_Buscar" value = "{% if query %}{{ query }}{% endif %}">
                    <button type="submit" class="btn btn-info">{% trans 'Buscar' %}</button>
                </div>
            </div>
        </form>
        
        
        {% if results %}
        <table class="table table-striped table-bordered table-condensed">
            <thead>
            <tr>
            <th class="reduce-col-number">#</th>
            <th>Asunto</th>
            <th>Contenido</th>
            <th>Fecha</th>
            </tr>
            </thead>
            <tbody>
            {% for env in results.object_list %}
            <tr>
                <TD>{{ forloop.counter|escape }}</TD>
                 <td>{{ env.Asunto }}</td>
                 <td>{{ env.Contenido }}</td>
                 <td>{{ env.FechaCreacion }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        {% else %}
        <p>{% trans 'No se encontraron coincidencias' %}</p>
        {% endif %}
        {% render_paginator 2 3 %}
    </div>    
</div>
{% endblock %}
